%define	version 0.2.1
%define kdename kmol

Name:		%{kdename}
Summary:	Chemical calculator
Version:	%{version}
Release:	5mdk

Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}

Group:		Sciences/Chemistry
Copyright:	GPL
BuildRoot:	%_tmppath/%{name}-root
Requires:	qt kdelibs


%description
Chemical calculator for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=/usr/lib/kde1-compat
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=$KDEDIR \
		    --with-install-root=$RPM_BUILD_ROOT \
		    --disable-rpath

%make

%install
%makeinstall 
install -d 755 $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/%{name} $RPM_BUILD_ROOT/usr/lib/menu/

install -d 755 $RPM_BUILD_ROOT%_iconsdir
install -d 755 $RPM_BUILD_ROOT%_miconsdir
mv $RPM_BUILD_ROOT%_libdir/kde1-compat/share/icons/kmol.xpm $RPM_BUILD_ROOT%_iconsdir
mv $RPM_BUILD_ROOT%_libdir/kde1-compat/share/icons/mini/kmol.xpm $RPM_BUILD_ROOT%_miconsdir

# Quick and very (but, very, very, very) dirty fix
cd $RPM_BUILD_ROOT%_datadir/
mkdir -p doc/kde1/HTML/en/kmol/
mv *.html doc/kde1/HTML/en/kmol/
mv *.gif doc/kde1/HTML/en/kmol/

%clean
rm -fr $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc %_docdir/kde1/HTML/en/kmol/*
%_bindir/kmol
%_iconsdir/kmol.xpm
%_miconsdir/kmol.xpm
#%_datadir/apps/kmol/kmolweights
/usr/lib/kde1-compat/share/apps/kmol/kmolweights
%_menudir/%{name}

%changelog
* Mon Oct 9 2000 Montel laurent <lmontel@mandrakesoft.com> 0.2.1-5mdk
- Remove mimetype and internationalisation

* Tue Mar 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2.1-4mdk
- add menu entry
- correctd group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Libtoolize --force.

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
Inital RPM.

